Package tigase.db.beans

# Class AuthUserRepositoryConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>

java.lang.Object
tigase.db.beans.MDPoolConfigBean<T,U>
tigase.db.beans.AuthUserRepositoryConfigBean<T,U>

All Implemented Interfaces:
  `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `UnregisterAware`

Direct Known Subclasses:
  `AuthRepositoryMDPoolBean.AuthRepositoryConfigBean`, `UserRepositoryMDPoolBean.UserRepositoryConfigBean`

public abstract class AuthUserRepositoryConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>> extends MDPoolConfigBean<T,U> implements ConfigurationChangedAware, Initializable, UnregisterAware
Configuration bean for authentication repository per domain Created by andrzej on 09.03.2016.

- ## Field Summary

  ### Fields inherited from class tigase.db.beans.MDPoolConfigBean

  `cls, mdPool, name, poolCls, poolSize, uri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthUserRepositoryConfigBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beanConfigurationChanged(Collection<String> changedFields)`
  Method called when configuration was applied to bean.
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `protected String`
  `getRepositoryClassName()`
  Returns class name of a repository to initialize for domain
  `protected String`
  `getRepositoryPoolClassName()`
  Returns class name of repository pool for domain
  `protected String`
  `getUri()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `initRepository(T repository)`
  Method used to initialize provided instance
  `protected void`
  `onDataSourceChange(DataSourceBean.DataSourceChangedEvent event)`

  ### Methods inherited from class tigase.db.beans.MDPoolConfigBean

  `getRepository, getRepositoryIfc, register, setInstances, setMdPool, setRepository, unloadOldBeans, unregister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthUserRepositoryConfigBean

    public AuthUserRepositoryConfigBean()

- ## Method Details

  - ### beanConfigurationChanged

    public void beanConfigurationChanged(Collection<String> changedFields)
    Description copied from interface: `ConfigurationChangedAware`
    Method called when configuration was applied to bean.
    Specified by:
      `beanConfigurationChanged` in interface `ConfigurationChangedAware`
    Overrides:
      `beanConfigurationChanged` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`
    Parameters:
      `changedFields` - collection of field names which were changed

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### getUri

    protected String getUri()
    Overrides:
      `getUri` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`

  - ### getRepositoryClassName

    protected String getRepositoryClassName() throws DBInitException
    Returns class name of a repository to initialize for domain
    Overrides:
      `getRepositoryClassName` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`
    Throws:
      `DBInitException`

  - ### initRepository

    protected void initRepository(T repository) throws RepositoryException
    Description copied from class: `MDPoolConfigBean`
    Method used to initialize provided instance
    Specified by:
      `initRepository` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`
    Throws:
      `RepositoryException`

  - ### getRepositoryPoolClassName

    protected String getRepositoryPoolClassName()
    Returns class name of repository pool for domain
    Specified by:
      `getRepositoryPoolClassName` in class `MDPoolConfigBean<T,U extends AuthUserRepositoryConfigBean<T,U>>`
    Returns:
      class name

  - ### onDataSourceChange

    @HandleEvent protected void onDataSourceChange(DataSourceBean.DataSourceChangedEvent event)